from typing import List


class Solution:
    def removeDuplicates(self, nums: List[int]) -> int:
        # print(nums)
        # j = 1
        # for i in range(1, len(nums)):
        #     if nums[i] != nums[i - 1]:
        #         nums[j] = nums[i]
        #         j += 1
        # print(nums)
        # return j
        # Не решил:(


print(Solution().removeDuplicates(nums=[1, 1, 1, 2, 2, 3]))
print(Solution().removeDuplicates(nums=[0, 0, 1, 1, 1, 1, 2, 3, 3]))
